CREATE TABLE customer_orders (name, dt, amt)
AS
   SELECT *
   FROM  (
          SELECT owner
          ,      TRUNC(created) + MOD(ROWNUM,6)
          ,      TRUNC(object_id/ROWNUM)
          FROM   all_objects
          WHERE  created > TRUNC(SYSDATE,'YEAR') - interval '2' year
          AND    owner IN ('ORDSYS','WKSYS')
          ORDER  BY
                 DBMS_RANDOM.RANDOM
         )
   WHERE  ROWNUM <= 1000;
